﻿<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=9" />
		<title>To Do</title>
		<style type="text/css">
			/* global */
			body{font-family: sans-serif; font-size: small;}
			table{border-collapse: collapse;}
			table, tr, th, td{border: 1px solid black;}
			table {counter-reset: lineitem;}
			table tr td:first-child {text-align: center;}
			/* Numbering */
			table.issuetable tr td:first-child:before {counter-increment: lineitem; content: counter(lineitem);}
			.prioritycol, .costcol, .statuscol {width: 100px;}
			.notescol {width: 50%;}
			/* status formats */
			.complete, .na, .cancelled, .hold, .inprogress, .high, .med, .low {text-align: center;}
			.inprogress, .high, .med, .low {color: white;}
			.cancelled, .hold, .inprogress, .high, .med, .low {font-weight: bold;}
			.complete {background: lightgreen;}
			.complete:before {content: "\2713";}
			.na {background: darkgray;}
			.na:before {content: "N/A";}
			.cancelled {background: lightgrey;color: blue;}
			.cancelled:before {content: "Cancelled";}
			.hold {background: lightgrey; color: darkgrey;}
			.hold:before {content: "On Hold";}
			.inprogress {background: blue;}
			.inprogress:before {content: "In Progress";}
			/* priority & cost formats */
			.high {background: red;}
			.high:before {content: "High";}
			.med {background: orange;}
			.med:before {content: "Med";}
			.low {background: green;}
			.low:before {content: "Low";}
			/* Misc */
			.alert{background-color: red; color: white; font-weight: bold; height: 25px; line-height: 25px; text-align: center;}
		</style>
	</head>
	<body>
		<table class="issuetable">
			<colgroup>
				<col class="numbercol" />
				<col class="prioritycol" />
				<col class="featurecol" />
				<col class="costcol" />
				<col class="statuscol" />
				<col class="notescol" />
			</colgroup>
			<thead>
				<tr>
					<th>#</th>
					<th>Priority</th>
					<th>Feature/Request/Bug</th>
					<th>Cost</th>
					<th>Status</th>
					<th>Notes</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td />
					<td class="high" />
					<td>Site does not appear well in Chrome, buttons are miss-aligned, chrome and IE9 standard mode</td>
					<td class="high" />
					<td class="complete" />
					<td><strike>Forced to compatibility mode in IE in meta tag</strike>; fixed button clicks in Chrome; added code and css for all browsers. now works in IE=edge mode on all browsers</td>
				</tr>
				<tr>
					<td />
					<td class="med" />
					<td>File upload</td>
					<td class="high" />
					<td class="complete" />
					<td />
				</tr>
				<tr>
					<td />
					<td class="low" />
					<td>Switch to on-page validators</td>
					<td class="med" />
					<td class="cancelled" />
					<td>Not needed, summary validators do the job</td>
				</tr>
				<tr>
					<td />
					<td class="high" />
					<td>Add in-line edit to tasks and issues GridViews </td>
					<td class="med" />
					<td class="complete" />
					<td>Used modal pop-up instead</td>
				</tr>
				<tr>
					<td />
					<td class="med" />
					<td>Add query to alert body</td>
					<td class="high" />
					<td />
					<td></td>
				</tr>
				<tr>
					<td />
					<td class="low" />
					<td>Implement a rich text editor for log <strike>description</strike> history/log fields</td>
					<td class="high" />
					<td class="complete" />
					<td></td>
				</tr>
				<tr>
					<td />
					<td class="low" />
					<td>fix duplicate upload on refresh/reload issue</td>
					<td class="med" />
					<td class="cancelled" />
					<td>workaround: don't reload the borwser after an upload and before navigating to another page, this is a universal browser issue, most users are aware, will probably cancel this</td>
				</tr>
				<tr>
					<td />
					<td class="med" />
					<td>role-based access</td>
					<td class="high" />
					<td class="complete" />
					<td />
				</tr>
				<tr>
					<td />
					<td class="med" />
					<td>research how to get users role, use infor to augment role-based access by locking out specific features</td>
					<td class="med" />
					<td class="complete" />
					<td />
				</tr>
				<tr>
					<td />
					<td class="med" />
					<td>User, status and priority edit pages</td>
					<td class="high" />
					<td class="complete" />
					<td />
				</tr>
				<tr>
					<td />
					<td class="high" />
					<td>Reports</td>
					<td class="high" />
					<td class="complete" />
					<td></td>
				</tr>
				<tr>
					<td />
					<td class="med" />
					<td>Alert emails</td>
					<td class="med" />
					<td class="complete" />
					<td>smtp.tradeweb.com:25</td>
				</tr>
				<tr>
					<td />
					<td class="med" />
					<td>&quot;My&quot; view</td>
					<td class="high" />
					<td class="complete" />
					<td></td>
				</tr>
				<tr>
					<td />
					<td class="low" />
					<td>user delete with batch project, task, and issue reassignment</td>
					<td class="high" />
					<td class="complete" />
					<td>user delete changed to user disable, batch reassign complete</td>
				</tr>
				<tr>
					<td />
					<td class="low" />
					<td>task and issue mover</td>
					<td class="high" />
					<td class="complete" />
					<td></td>
				</tr>
				<tr>
					<td />
					<td class="med" />
					<td>Add disabled users feature</td>
					<td class="med" />
					<td class="complete" />
					<td>disabled users not selectable for new items, still need to name disabled users unelectable for item updates.</td>
				</tr>
				<tr>
					<td />
					<td class="low" />
					<td>add disabled priorities</td>
					<td class="med" />
					<td class="cancelled" />
					<td>not needed</td>
				</tr>
				<tr>
					<td />
					<td class="low" />
					<td>add disabled statuses feature</td>
					<td class="med" />
					<td class="cancelled" />
					<td>not needed</td>
				</tr>
				<tr>
					<td />
					<td class="low" />
					<td>format validation for phone # on people admin page</td>
					<td class="med" />
					<td class="complete" />
					<td />
				</tr>
				<tr>
					<td />
					<td class="low" />
					<td>add edit button to projects, tasks and issues</td>
					<td class="high" />
					<td class="cancelled" />
					<td>Redundant, DetailsView is a better solution</td>
				</tr>
				<tr>
					<td />
					<td class="low" />
					<td>add validation to project, task and issue update forms</td>
					<td class="med" />
					<td />
					<td />
				</tr>
				<tr>
					<td />
					<td class="med" />
					<td>Project archive view</td>
					<td class="med" />
					<td class="complete"/>
					<td />
				</tr>
				<tr>
					<td />
					<td class="low" />
					<td>Project delete in project archive view</td>
					<td class="high" />
					<td class="cancelled" />
					<td>not required by client</td>
				</tr>
				<tr>
					<td />
					<td class="low" />
					<td>Selected admin menu item not accepting css</td>
					<td class="high" />
					<td class="complete" />
					<td>known bug in asp.net 3.5, used solution posted <a href="http://shermanstechnicalblog.blogspot.com/2012/09/one-possible-solution-to-problem-of.html">here</a></td>
				</tr>
				<tr>
					<td />
					<td class="low" />
					<td>Project Platforms</td>
					<td class="med" />
					<td class="complete" />
					<td>
						<ul>
							<li>Windows Server</li>
							<li>End User</li>
							<li>Virtual</li>
							<li>Windows Cluster</li>
							<li>Hardware</li>
						</ul>
					</td>
				</tr>
				<tr>
					<td />
					<td class="low" />
					<td>Add overflow to project field in projectsumamry grid</td>
					<td class="low" />
					<td class="complete" />
					<td><pre>style="overflow:hidden;text-overflow:ellipsis</pre></td>
				</tr>
				<tr>
					<td />
					<td class="high" />
					<td>add maxlength to all txt field matching DB field length</td>
					<td class="low" />
					<td class="complete" />
					<td></td>
				</tr>
				<tr>
					<td />
					<td class="low" />
					<td>add cookies to save filter states</td>
					<td class="med" />
					<td class="cancelled" />
					<td>incomparible /w sort which is more important</td>
				</tr>
				<tr>
					<td />
					<td class="low" />
					<td>Export to excel/csv</td>
					<td class="med" />
					<td class="complete" />
					<td></td>
				</tr>
				<tr>
					<td />
					<td class="low" />
					<td>Orphaned Issues/Taks view for maintenance</td>
					<td class="med" />
					<td class="complete" />
					<td>The design of the site makes this impossible barring as yet unknown bugs in asp, feature not required</td>
				</tr>
				<tr>
					<td />
					<td class="low" />
					<td>link to project details from archive view</td>
					<td class="low" />
					<td class="complete" />
					<td></td>
				</tr>
				<tr>
					<td />
					<td class="med" />
					<td>disable elements on projectdetails page for archived projects</td>
					<td class="low" />
					<td class="complete" />
					<td></td>
				</tr>
				<tr>
					<td />
					<td class="high" />
					<td>Add max file size</td>
					<td class="med" />
					<td class="complete" />
					<td></td>
				</tr>
				<tr>
					<td />
					<td class="high" />
					<td>added legal</td>
					<td class="low" />
					<td class="complete" />
					<td></td>
				</tr>
				<tr>
					<td />
					<td class="high" />
					<td>tied percent complete and status fields to reduce clicks</td>
					<td class="med" />
					<td class="complete" />
					<td>Sweet!</td>
				</tr>
				<tr>
					<td />
					<td class="high" />
					<td>change &quot;Platform&quot; to &quotPlatform&quot</td>
					<td class="low" />
					<td class="complete" />
					<td><span style="color: Red; font-weight: bold;">NOTE:DB cols and code still reflect the name  &quot;Platform&quot;</span></td>
				</tr>
				<tr>
					<td />
					<td class="high" />
					<td>Charts on default page
						<ul>
							<li>BRAG status pie</li>
							<li>completed tasks and projects/month</li>
							<li>report by tower</li>
						</ul>
					</td>
					<td class="high" />
					<td class="complete" />
					<td></td>
				</tr>
				<tr>
					<td />
					<td class="med" />
					<td>clear all imput forms after update</td>
					<td class="med" />
					<td class="complete" />
					<td></td>
				</tr>
				<tr>
					<td />
					<td class="high" />
					<td>automatically stamp task completed date if taks set to complete or progress 100%</td>
					<td class="low" />
					<td class="complete" />
					<td></td>
				</tr>
				<tr>
					<td />
					<td class="med" />
					<td>added due date to &quot;my&quot; view</td>
					<td class="low" />
					<td class="complete" />
					<td></td>
				</tr>
				<tr>
					<td />
					<td class="high" />
					<td>Achievement tracking</td>
					<td class="med" />
					<td class="complete" />
					<td>renamed to &quot;Accomplishements&quot;. <span style="color: Red; font-weight: bold;">NOTE:DB cols and code still reflect the name &quot;achivement&quot;</span></td>
				</tr>
				<tr>
					<td />
					<td class="low" />
					<td>fix overflow probelm on reports page for IE 9+</td>
					<td class="med" />
					<td class="complete" />
					<td></td>
				</tr>
				<tr>
					<td />
					<td class="low" />
					<td>update all references to status using the variables in web.config where possible</td>
					<td class="med" />
					<td class="complete" />
					<td></td>
				</tr>
				<tr>
					<td />
					<td class="low" />
					<td>fix color issue with brag pie chart when less than 4 unique brag status types showing</td>
					<td class="med" />
					<td class="complete" />
					<td></td>
				</tr>
				<tr>
					<td />
					<td class="med" />
					<td>new audit reports</td>
					<td class="med" />
					<td class="complete" />
					<td>
						<ul>
							<li>Items Not Updated Within the Last 20 Days</li>
							<li>Items Updated Within the Last 10 Days</li>
						</ul>
					</td>
				</tr>
				<tr>
					<td />
					<td class="med" />
					<td>make page size and filters persistent</td>
					<td class="med" />
					<td class="complete" />
					<td></td>
				</tr>
				<tr>
					<td />
					<td class="med" />
					<td>set focus on input forms</td>
					<td class="med" />
					<td class="cancelled" />
					<td>Setting focus on an AJAX modalpopupextender field requries client-side javascript. This can cause rendering issues in .NET 3.5</td>
				</tr>
				<tr>
					<td />
					<td class="med" />
					<td>Add sort to project summary (default.aspx)</td>
					<td class="med" />
					<td class="complete" />
					<td></td>
				</tr>
				<tr>
					<td />
					<td class="high" />
					<td>Added html markup to reports, AWESOME!!!</td>
					<td class="high" />
					<td class="complete" />
					<td></td>
				</tr>
				<tr>
					<td />
					<td class="med" />
					<td>CRLF in history fields</td>
					<td class="med" />
					<td class="complete" />
					<td>feature supplied by rich text editor</td>
				</tr>
				<tr>
					<td />
					<td class="med" />
					<td>Added more robust validation to user page, check for duplicate, format, etc</td>
					<td class="med" />
					<td class="complete" />
					<td></td>
				</tr>
				<tr>
					<td />
					<td class="med" />
					<td>Add more validation to other admin forms</td>
					<td class="med" />
					<td class="complete" />
					<td></td>
				</tr>
				<tr>
					<td />
					<td class="med" />
					<td>Activity logging</td>
					<td class="med" />
					<td class="complete" />
					<td></td>
				</tr>
				<tr>
					<td />
					<td class="med" />
					<td>Add selected task reassignment utility</td>
					<td class="med" />
					<td class="complete" />
					<td></td>
				</tr>
				<tr>
					<td />
					<td class="med" />
					<td>Add show complted tasks check box</td>
					<td class="med" />
					<td class="complete" />
					<td></td>
				</tr>
			</tbody>
		</table>
		<br />
		<table>
			<caption>Cost Legend</caption>
			<tbody>
				<tr>
					<td class="low" />
					<td>Up to 1 day</td>
				</tr>
				<tr>
					<td class="med" />
					<td>2-3 days; &lt;1 week</td>
				</tr>
				<tr>
					<td class="high"></td>
					<td>&gt;1 week</td>
				</tr>
			</tbody>
		</table>
	</body>
</html>
